<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Mailbox_Config_t Struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="functions.html"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">Mailbox_Config_t Struct Reference<div class="ingroups"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r.html">MAILBOX Driver</a> &raquo; <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html">Mailbox Driver External Data Structures</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Mailbox Configuration Parameters.  
 <a href="struct_mailbox___config__t.html#details">More...</a></p>

<p><code>#include &lt;drivers/mailbox/mailbox.h&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:aae8d9f602e134ed00779491b26c27446"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aae8d9f602e134ed00779491b26c27446"></a>
<a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga25c5d7080b2c68bffeab4e640b2322e7">Mailbox_Mode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mailbox___config__t.html#aae8d9f602e134ed00779491b26c27446">readMode</a></td></tr>
<tr class="memdesc:aae8d9f602e134ed00779491b26c27446"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mailbox read mode. <br /></td></tr>
<tr class="separator:aae8d9f602e134ed00779491b26c27446"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa84a4441d7bf047b23de0440b2c9f970"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa84a4441d7bf047b23de0440b2c9f970"></a>
<a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga25c5d7080b2c68bffeab4e640b2322e7">Mailbox_Mode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mailbox___config__t.html#aa84a4441d7bf047b23de0440b2c9f970">writeMode</a></td></tr>
<tr class="memdesc:aa84a4441d7bf047b23de0440b2c9f970"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mailbox write mode. <br /></td></tr>
<tr class="separator:aa84a4441d7bf047b23de0440b2c9f970"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64a38eed561c54afc2a19dc51c3bd8bf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a64a38eed561c54afc2a19dc51c3bd8bf"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mailbox___config__t.html#a64a38eed561c54afc2a19dc51c3bd8bf">readTimeout</a></td></tr>
<tr class="memdesc:a64a38eed561c54afc2a19dc51c3bd8bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timeout for read semaphore. <br /></td></tr>
<tr class="separator:a64a38eed561c54afc2a19dc51c3bd8bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab763f5602313f7d8a5fffa1d95bd2e06"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab763f5602313f7d8a5fffa1d95bd2e06"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mailbox___config__t.html#ab763f5602313f7d8a5fffa1d95bd2e06">writeTimeout</a></td></tr>
<tr class="memdesc:ab763f5602313f7d8a5fffa1d95bd2e06"><td class="mdescLeft">&#160;</td><td class="mdescRight">Timeout for write semaphore. <br /></td></tr>
<tr class="separator:ab763f5602313f7d8a5fffa1d95bd2e06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af3792db0d25312c9c14254b4cfd4df29"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af3792db0d25312c9c14254b4cfd4df29"></a>
<a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga2a2b67c5382c59ec6448164fc93ceffe">Mailbox_Callback</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mailbox___config__t.html#af3792db0d25312c9c14254b4cfd4df29">readCallback</a></td></tr>
<tr class="memdesc:af3792db0d25312c9c14254b4cfd4df29"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to read callback. <br /></td></tr>
<tr class="separator:af3792db0d25312c9c14254b4cfd4df29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a028b236fc17fd7b8861c8f7a90e51d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2a028b236fc17fd7b8861c8f7a90e51d"></a>
<a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gae0058d574361427caac94b3b81006c51">Mailbox_OpMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mailbox___config__t.html#a2a028b236fc17fd7b8861c8f7a90e51d">opMode</a></td></tr>
<tr class="memdesc:a2a028b236fc17fd7b8861c8f7a90e51d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Driver mode of operation. <br /></td></tr>
<tr class="separator:a2a028b236fc17fd7b8861c8f7a90e51d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7af3783fe58b904bf7d5ba70e6aaf1b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae7af3783fe58b904bf7d5ba70e6aaf1b"></a>
<a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga09e0b9660f2f3513cf4cdb9db18a64c1">Mailbox_DataTransferMode</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mailbox___config__t.html#ae7af3783fe58b904bf7d5ba70e6aaf1b">dataTransferMode</a></td></tr>
<tr class="memdesc:ae7af3783fe58b904bf7d5ba70e6aaf1b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data transfer mode. <br /></td></tr>
<tr class="separator:ae7af3783fe58b904bf7d5ba70e6aaf1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cc2430f200fddc6c765bdb9fcd16c71"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gacc846aad9f1e171d503751b7c1de3451">Mailbox_ChType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mailbox___config__t.html#a0cc2430f200fddc6c765bdb9fcd16c71">chType</a></td></tr>
<tr class="memdesc:a0cc2430f200fddc6c765bdb9fcd16c71"><td class="mdescLeft">&#160;</td><td class="mdescRight">Mailbox channel type. Used only when remote endpoint is MSS or DSS.  <a href="#a0cc2430f200fddc6c765bdb9fcd16c71">More...</a><br /></td></tr>
<tr class="separator:a0cc2430f200fddc6c765bdb9fcd16c71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59d38c72c27cd3ae069660658f1db038"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga39afb53a3aef9f10301e6ad9b7ed5e39">Mailbox_ChID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_mailbox___config__t.html#a59d38c72c27cd3ae069660658f1db038">chId</a></td></tr>
<tr class="memdesc:a59d38c72c27cd3ae069660658f1db038"><td class="mdescLeft">&#160;</td><td class="mdescRight">Channel ID for this instance of the driver. Used only when remote endpoint is MSS or DSS and when chType is set to MAILBOX_CHTYPE_MULTI.  <a href="#a59d38c72c27cd3ae069660658f1db038">More...</a><br /></td></tr>
<tr class="separator:a59d38c72c27cd3ae069660658f1db038"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Mailbox Configuration Parameters. </p>
<p>Mailbox configuration parameters are used with the <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadf714280d09ff28cc6f95c1ceb9fa790" title="Function to initialize an instance of the mailbox driver. ">Mailbox_open()</a> call. Default values for these parameters are set using <a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gafb11aa98776b93b1bff62d60a9143bd4" title="Function to initialize the Mailbox_Config struct to its defaults. ">Mailbox_Config_init()</a>.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gafb11aa98776b93b1bff62d60a9143bd4" title="Function to initialize the Mailbox_Config struct to its defaults. ">Mailbox_Config_init()</a> </dd></dl>
</div><h2 class="groupheader">Field Documentation</h2>
<a class="anchor" id="a59d38c72c27cd3ae069660658f1db038"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga39afb53a3aef9f10301e6ad9b7ed5e39">Mailbox_ChID</a> Mailbox_Config_t::chId</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Channel ID for this instance of the driver. Used only when remote endpoint is MSS or DSS and when chType is set to MAILBOX_CHTYPE_MULTI. </p>
<dl class="section warning"><dt>Warning</dt><dd>On <b>XWR14xx</b> this field is NOT used. Application does not need to set this field in <b>XWR14xx</b>.<br />
 On <b>XWR16xx</b> this field is used for the communication between MSS&lt;-&gt;DSS only and needs to be set accordingly. For MSS&lt;-&gt;BSS or DSS&lt;-&gt;BSS communication in <b>XWR16xx</b> application does not need to set this field. </dd></dl>

</div>
</div>
<a class="anchor" id="a0cc2430f200fddc6c765bdb9fcd16c71"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group___m_a_i_l_b_o_x___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gacc846aad9f1e171d503751b7c1de3451">Mailbox_ChType</a> Mailbox_Config_t::chType</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Mailbox channel type. Used only when remote endpoint is MSS or DSS. </p>
<dl class="section warning"><dt>Warning</dt><dd>On <b>XWR14xx</b> this field is NOT used. Application does not need to set this field in <b>XWR14xx</b>.<br />
 On <b>XWR16xx</b> this field is used for the communication between MSS&lt;-&gt;DSS only and needs to be set accordingly. For MSS&lt;-&gt;BSS or DSS&lt;-&gt;BSS communication in <b>XWR16xx</b> application does not need to set this field. </dd></dl>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>drivers/mailbox/<a class="el" href="mailbox_8h.html">mailbox.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
